> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantspring.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a subscribe and save report

> Create a "subscribe and save" report (Amazon). The generated report CSV contains the columns defined in the `SubscribeAndSaveReportColumns` schema including subscriber counts, shipped revenue, revenue penetration, and discount tiers. Use the /reports/status/{reportId} endpoint to check report status and obtain the download URL.



## OpenAPI

````yaml /api-reference/openapi.json post /reports/create/subscribeAndSave
openapi: 3.0.1
info:
  title: MerchantSpring Public API
  version: 1.0.0
servers:
  - url: https://mm-api.merchantspring.io
    description: Production
  - url: https://mm-api-staging.merchantspring.io
    description: Staging
security: []
tags:
  - name: channel
    x-group: Channel
  - name: content-change
    x-group: Content Change
  - name: custom-group
    x-group: Custom Group
  - name: order
    x-group: Order
  - name: report
    x-group: Report
  - name: tag
    x-group: Tag
  - name: profitability
    x-group: Profitability
paths:
  /reports/create/subscribeAndSave:
    post:
      tags:
        - report
      summary: Create a subscribe and save report
      description: >-
        Create a "subscribe and save" report (Amazon). The generated report CSV
        contains the columns defined in the `SubscribeAndSaveReportColumns`
        schema including subscriber counts, shipped revenue, revenue
        penetration, and discount tiers. Use the /reports/status/{reportId}
        endpoint to check report status and obtain the download URL.
      operationId: createSubscribeAndSaveReport
      requestBody:
        description: Report criteria
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSubscribeAndSaveReportRequest'
        required: true
      responses:
        '200':
          description: Successful operation
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateReportResponse'
            text/csv:
              schema:
                $ref: '#/components/schemas/SubscribeAndSaveReportColumns'
        '400':
          description: Invalid input
          content: {}
      security:
        - api_key: []
components:
  schemas:
    CreateSubscribeAndSaveReportRequest:
      type: object
      properties:
        channelId:
          type: string
        merchantId:
          type: string
        reportOptions:
          $ref: '#/components/schemas/CreateSubscribeAndSaveReportOptions'
    CreateReportResponse:
      type: object
      properties:
        reportId:
          type: string
        reportType:
          type: string
        status:
          type: string
    SubscribeAndSaveReportColumns:
      type: object
      description: >-
        Columns present in the downloadable Subscribe and Save report CSV
        (Amazon).
      properties:
        asin:
          type: string
          description: Amazon Standard Identification Number
        sku:
          type: string
          description: Seller SKU
        title:
          type: string
          description: Product title
        currentSubscriberShippedRevenue:
          type: number
          description: Subscriber shipped revenue (current period)
        priorSubscriberShippedRevenue:
          type: number
          description: Subscriber shipped revenue (prior period)
        currentSubscribers:
          type: number
          description: Number of active subscribers (current period)
        priorSubscribers:
          type: number
          description: Number of active subscribers (prior period)
        currentRevenuePerSubscriber:
          type: number
          description: Revenue per subscriber (current period)
        priorRevenuePerSubscriber:
          type: number
          description: Revenue per subscriber (prior period)
        currentShippedSubscriptionUnits:
          type: number
          description: Shipped subscription units (current period)
        priorShippedSubscriptionUnits:
          type: number
          description: Shipped subscription units (prior period)
        currentRevenuePenetration:
          type: number
          description: Revenue penetration rate (current period)
        priorRevenuePenetration:
          type: number
          description: Revenue penetration rate (prior period)
        notDeliveredDueToOOSPercent:
          type: number
          description: Percentage of subscriptions not delivered due to out of stock
        baseDiscount:
          type: number
          description: Base Subscribe and Save discount percentage
        tierDiscount:
          type: number
          description: Tier-based discount percentage
        enrollment:
          type: string
          description: Enrollment status
        eligibility:
          type: string
          description: Product eligibility status for Subscribe and Save
    CreateSubscribeAndSaveReportOptions:
      allOf:
        - $ref: '#/components/schemas/CommonReportOptions'
        - type: object
          properties:
            fromDate:
              type: integer
              description: >-
                Unix epoch time (seconds) representing the start of the
                reporting period
            toDate:
              type: integer
              description: >-
                Unix epoch time (seconds) representing the end of the reporting
                period
            priorFromDate:
              type: number
              description: >-
                Unix epoch time (seconds) representing the start of the
                comparison period
            priorToDate:
              type: number
              description: >-
                Unix epoch time (seconds) representing the end of the comparison
                period
            timezone:
              type: string
              description: >-
                The timezone string you wish to see the report in (e.g.
                'America/Los_Angeles') see
                https://en.wikipedia.org/wiki/List_of_tz_database_time_zones
            includeTax:
              type: boolean
              description: Whether tax should be included in sales figures
    CommonReportOptions:
      type: object
      properties:
        fromDate:
          type: number
          description: >-
            Unix epoch time (seconds) representing the start of the reporting
            period
        toDate:
          type: number
          description: >-
            Unix epoch time (seconds) representing the end of the reporting
            period
        priorFromDate:
          type: number
          description: >-
            Unix epoch time (seconds) representing the start of the comparison
            period
        priorToDate:
          type: number
          description: >-
            Unix epoch time (seconds) representing the end of the comparison
            period
        timezone:
          type: string
          description: >-
            The timezone string you wish to see the report in (e.g.
            'America/Los_Angeles') see
            https://en.wikipedia.org/wiki/List_of_tz_database_time_zones
  securitySchemes:
    api_key:
      type: apiKey
      name: x-api-key
      in: header

````